/*
 * Check_Shunt_Limits.h
 *
 *  Created on: Jun 16, 2022
 *      Author: max
 */

#ifndef INC_CHECK_SHUNT_LIMITS_H_
#define INC_CHECK_SHUNT_LIMITS_H_

#include "CAN_Communication.h"
#include "main.h"

#define SHUNT_OVERCURRENT 0x0FFFFFFF // Shunt Overcurrent Limit
#define SHUNT_TIMEOUT 500            // Timeout after 500ms
#define SHUNT_OVERTEMP 0xFFFFFFFF    // Overtermperature of the Busbar

void CheckShuntLimits();

#endif /* INC_CHECK_SHUNT_LIMITS_H_ */
